## ripser 1.1.20200206.286d36

=== Makefile ===
build: ripser


all: ripser ripser-coeff ripser-debug


ripser: ripser.cpp
	c++ -std=c++11 -Wall ripser.cpp -o ripser -Ofast -D NDEBUG

ripser-coeff: ripser.cpp
	c++ -std=c++11 -Wall ripser.cpp -o ripser-coeff -Ofast -D NDEBUG -D USE_COEFFICIENTS

ripser-debug: ripser.cpp
	c++ -std=c++11 -Wall ripser.cpp -o ripser-debug -g


clean:
	rm -f ripser ripser-coeff ripser-debug

=== debian/changelog ===
ripser (1.1.20200206.286d36-3) unstable; urgency=medium

  * Add upstream/metadafile file.
  * Standards-version 4.5.1. No changes needed.
  * DH compat 13.
  * Move git to Salsa.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 23 Jan 2021 18:37:46 +0100

ripser (1.1.20200206.286d36-2) unstable; urgency=medium

  * Add patch to prevent overflow on 32 bit architectures.
  * Standards-version 4.5.0. No changes needed.
  * Add tests.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 09 Mar 2020 11:16:50 +0100

ripser (1.1.20200206.286d36-1) unstable; urgency=medium

  * Initial release. (Closes: #943817)

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 06 Feb 2020 11:16:53 +0100

=== debian/control ===
Source: ripser
Section: math
Priority: optional
Maintainer: Gard Spreemann <gspr@nonempty.org>
Build-Depends:
 debhelper-compat (= 13)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://ripser.org
Vcs-Browser: https://salsa.debian.org/gspr/ripser
Vcs-Git: https://salsa.debian.org/gspr/ripser.git -b debian/sid

Package: ripser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast computation of persistent homology of flag complexes
 Ripser computes persistent homology of flag complexes (such as
 Vietoris-Rips complexes) only, allowing significant gains in
 computation time and memory usage over the general situation.
 .
 See https://arxiv.org/abs/1908.02518.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	mkdir -p build

override_dh_auto_build:
	c++ $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o build/ripser ripser.cpp
	c++ $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -DUSE_COEFFICIENTS -o build/ripser-coeff ripser.cpp

override_dh_auto_clean:
	rm -rf build

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ripser-$1\.tar\.gz/,uversionmangle=s/-?(RC|rc)/~rc/ \
  https://github.com/Ripser/ripser/releases .*/archive/v(\d\S+)\.tar\.gz

## ripser 1.2.1

=== Makefile ===
build: ripser


all: ripser ripser-coeff ripser-debug


ripser: ripser.cpp
	c++ -std=c++11 -Wall ripser.cpp -o ripser -O3 -D NDEBUG

ripser-coeff: ripser.cpp
	c++ -std=c++11 -Wall ripser.cpp -o ripser-coeff -O3 -D NDEBUG -D USE_COEFFICIENTS

ripser-debug: ripser.cpp
	c++ -std=c++11 -Wall ripser.cpp -o ripser-debug -g


clean:
	rm -f ripser ripser-coeff ripser-debug

=== debian/changelog ===
ripser (1.2.1-3) unstable; urgency=medium

  * Fix watch file.
  * Update copyright.
  * Standards-version 4.6.1. No changes needed.
  * Generate man pages more maintainably using scdoc.
  * Restructure d/rules.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 19 Sep 2022 22:22:38 +0200

ripser (1.2.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply a C++ compiler.
    (Closes: #993031)

  [ Gard Spreemann ]
  * Standards-version 4.6.0.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 26 Aug 2021 22:33:31 +0200

ripser (1.2.1-1) unstable; urgency=medium

  * New upstream version.
    - Refresh 32 bit overflow patch.
  * Fix broken d/watch.
  * Update journal reference.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 14 Aug 2021 18:10:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Build-Depends:
- debhelper-compat (= 13)
-Standards-Version: 4.5.1
+ debhelper-compat (= 13),
+ scdoc
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://ripser.org
 Vcs-Browser: https://salsa.debian.org/gspr/ripser

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_configure:
	mkdir -p build

override_dh_auto_build: build/ripser build/ripser-coeff build/ripser.1 build/ripser-coeff.1

build/ripser: ripser.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $<

build/ripser-coeff: ripser.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -DUSE_COEFFICIENTS -o $@ $<

build/ripser.1: debian/ripser.1.scd
	scdoc < $< > $@

build/ripser-coeff.1: debian/ripser-coeff.1.scd
	scdoc < $< > $@

override_dh_auto_clean:
	rm -rf build

=== debian/tests/control ===
Tests: examples.py
Depends: python3, python3-numpy, ripser

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*\.tar\.gz)%@PACKAGE@-$1%, \
    https://github.com/Ripser/ripser/tags \
    (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
